import { LoginRequestsMessagePayload } from '../services/communication/message';
import { LoginRequestResponseMessagePayload } from '../services/communication/message';
import { RequestsManager } from './requestsManager';
/**
 * Extracts the WalletRequests from the URL
 *
 * @returns {LoginRequestsMessagePayload} the requests, username and accountName
 */
export declare function getLoginRequestFromUrl(): LoginRequestsMessagePayload;
/**
 * Extracts the login requests, username and accountName from the URL
 *
 * @returns {LoginRequestResponseMessagePayload} the requests, username and accountName
 */
export declare function getLoginRequestResponseFromUrl(): LoginRequestResponseMessagePayload;
/**
 * Verifies the WalletRequests received in the URL were successfully authorized by Tonomy ID
 *
 * @description should be called in the callback page of the Tonomy Accounts (SSO) website
 *
 * @returns {Promise<RequestsManager>} - the managed verified WalletRequests
 */
export declare function onRedirectLogin(): Promise<RequestsManager>;
//# sourceMappingURL=urls.d.ts.map